io.undertow.server.handlers.form

## Class FormEncodedDataDefinition

- java.lang.Object
- - io.undertow.server.handlers.form.FormEncodedDataDefinition

All Implemented Interfaces:
  FormParserFactory.ParserDefinition<FormEncodedDataDefinition>

    public class FormEncodedDataDefinition
    extends Object
    implements FormParserFactory.ParserDefinition<FormEncodedDataDefinition>

Parser definition for form encoded data. This handler takes effect for any request that has a mime type of application/x-www-form-urlencoded. The handler attaches a `FormDataParser` to the chain that can parse the underlying form data asynchronously.

Author:
  Stuart Douglas

### Field Summary

Fields
`static String` `APPLICATION_X_WWW_FORM_URLENCODED`

### Constructor Summary

Constructors
Constructor and Description
`FormEncodedDataDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FormDataParser` `create(HttpServerExchange exchange)`
`String` `getDefaultEncoding()`
`boolean` `isForceCreation()`
`FormEncodedDataDefinition` `setDefaultEncoding(String defaultEncoding)`
`FormEncodedDataDefinition` `setForceCreation(boolean forceCreation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### APPLICATION_X_WWW_FORM_URLENCODED

    public static final String APPLICATION_X_WWW_FORM_URLENCODED

See Also:
  Constant Field Values

### Constructor Detail

#### FormEncodedDataDefinition

    public FormEncodedDataDefinition()

### Method Detail

#### create

    public FormDataParser create(HttpServerExchange exchange)

Specified by:
  `create` in interface `FormParserFactory.ParserDefinition<FormEncodedDataDefinition>`

#### getDefaultEncoding

    public String getDefaultEncoding()

#### isForceCreation

    public boolean isForceCreation()

#### setForceCreation

    public FormEncodedDataDefinition setForceCreation(boolean forceCreation)

#### setDefaultEncoding

    public FormEncodedDataDefinition setDefaultEncoding(String defaultEncoding)

Specified by:
  `setDefaultEncoding` in interface `FormParserFactory.ParserDefinition<FormEncodedDataDefinition>`